extends KinematicBody2D

var velocity = Vector2(0,-100)
var push = 2500

func _ready():
	pass

func _process(delta: float) -> void:
	move_and_slide(velocity, Vector2.UP, false, 4, PI/4, false)
	for index in get_slide_count():
		var collision = get_slide_collision(index)
		if collision.collider.is_in_group("Balls"):
			print("balls")
			collision.collider.apply_central_impulse(collision.normal * push)
